Gets specific Supplier Return by unique id
Gets specific Supplier Return by unique id
Path Parameters
Supplier Return id
Example:1
Headers
Api subscription key
Default:no-cache
Bearer token for authorization (e.g., Bearer )
Response
application/json
Response
Returns found Supplier Return
SupplierReturns
Supplier Returns VM
Supplier Return identifier
Include Tax
Default:true
Show Child Parameters
Show Child Parameters
Supplier Return Status Model
Show Child Parameters
Supplier address model
Show Child Parameters
Total return quantity
Total claim amount ex
Total claim amount tax
Total claim amount inc
Total credit received ex
Total credit received inc
Notes
>= 0 characters<= 8000 characters
Return Authorisation
>= 0 characters<= 100 characters
Started on
Created on
Modified on
Finalised on
Credit Note model
Show Child Parameters
Show Child Parameters
Show Child Parameters
Path Parameters
Headers
Updates Supplier Return
Sample request:
PUT /supplierreturns
{
"supplier":{
"id": 1
},
"outlet":{
"id": 1
},
"supplier_address":{
"address_line1": "address",
"suburb": "suburb",
"state": "state",
"postcode": "postcode",
"country":{
"id": 1,
"name": "country_name"
}
},
"notes": "notes",
"return_authorisation": "return authorisation",
"include_tax": false,
"supplier_return_status":{
"id": 1
}
}
Path Parameters
Supplier Return id
Example:10000
Headers
Api subscription key
Default:no-cache
Bearer token for authorization (e.g., Bearer )
Body
application/json
Body
Supplier Return model
EmptyExample
Response
application/json
Response
Returns updated Supplier Return
SupplierReturns
Supplier Returns VM
Supplier Return identifier
Include Tax
Default:true
Show Child Parameters
Show Child Parameters
Supplier Return Status Model
Show Child Parameters
Supplier address model
Show Child Parameters
Total return quantity
Total claim amount ex
Total claim amount tax
Total claim amount inc
Total credit received ex
Total credit received inc
Notes
>= 0 characters<= 8000 characters
Return Authorisation
>= 0 characters<= 100 characters
Started on
Created on
Modified on
Finalised on
Credit Note model
Show Child Parameters
Show Child Parameters
Show Child Parameters
Path Parameters
Headers
Body
Searches Supplier Return Items by Supplier Return id and other parameters
Searches Supplier Return Items by Supplier Return id and other parameters
Query Parameters
Supplier Return Items ids. (comma separated)
Other properties are skipped, if used.
Example: 2,3,4
Supplier Return reason ids.
Example: 2,3,4
Supplier Return Item status ids.
Example: 2,3,4
Supplier Return Item source ids.
Example: 2,3,4
Created since
Modified since
Select fields.
Available field name values: id
Example: id
Order by.
Available field name values: id, product_id, size, colour, supplier_sku, manufacturer_sku, supplier_sku2, short_description, supplier_return_reason, return_quantity, original_buy_ex, total_original_buy_ex, supplier_return_item_status, supplier_return_item_source, original_supplier_invoice, total_claim_amount_ex, total_claim_amount_tax, total_claim_amount_inc, claim_amount_ex, credit_note_id, credit_note_item_id, credit_amount_ex, supplier_return_item_notes, total_credit_amount_ex, total_credit_amount_inc, created_by_id, created_by_first_name, created_by_surname, modified_by_id, modified_by_first_name, modified_by_surname.
Available direction values: asc, desc.
Example: id asc, product_id desc
>= 1<= 100000
>= 1<= 2147483647
Path Parameters
Supplier Return id
Headers
Api subscription key
Default:no-cache
Bearer token for authorization (e.g., Bearer )
Response
application/json
Response
Returns Supplier Return Items
SupplierReturnItem.PagingResponse
Supplier Return Item
Show Child Parameters
Path Parameters
Query Parameters
Headers
Creates Supplier Return Item
Sample request:
POST /supplierreturns/1/supplierreturnitems
{
"product": {
"id": 1
},
"supplier_return_reason": {
"id": 1
},
"return_quantity": 1,
"original_buy_ex": 1.1,
"claim_amount_ex": 1.1,
"supplier_return_item_source": {
"id": 1
},
"original_supplier_invoice": "original supplier invoice",
"supplier_return_item_notes": "notes"
}
Path Parameters
Supplier Return id
Headers
Api subscription key
Default:no-cache
Bearer token for authorization (e.g., Bearer )
Body
application/json
Body
Supplier Return Item to be created
EmptyExample
Response
application/json
Response
Supplier Return Item was created
SupplierReturnItem
Supplier Return Item
Supplier Return Item identifier
Supplier Return id
Supplier Return Item Product Model
Show Child Parameters
Supplier Return Reason model
Show Child Parameters
Show Child Parameters
Return Quantity
Supplier price ex
Total supplier buy ex
Supplier Return Item Status Model
Show Child Parameters
Supplier Return Item Product Model
Show Child Parameters
Supplier invoice number
Claim amount ex
Notes
Total claim amount ex
Total claim amount tax
Total claim amount inc
Created on
Modified on
Show Child Parameters
Show Child Parameters
Path Parameters
Headers
Body
Get specific Supplier Return Item by Supplier Return id and Supplier Return Item id
Get specific Supplier Return Item by Supplier Return id and Supplier Return Item id
Path Parameters
Supplier Return id
Supplier Return Item id
Headers
Api subscription key
Default:no-cache
Bearer token for authorization (e.g., Bearer )
Response
application/json
Response
Returns found Supplier Return Item
SupplierReturnItem
Supplier Return Item
Supplier Return Item identifier
Supplier Return id
Supplier Return Item Product Model
Show Child Parameters
Supplier Return Reason model
Show Child Parameters
Show Child Parameters
Return Quantity
Supplier price ex
Total supplier buy ex
Supplier Return Item Status Model
Show Child Parameters
Supplier Return Item Product Model
Show Child Parameters
Supplier invoice number
Claim amount ex
Notes
Total claim amount ex
Total claim amount tax
Total claim amount inc
Created on
Modified on